MS16-045: Security Update for Windows Hyper-V (3143118)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote host is affected by multiple vulnerabilities.

Description :

The remote Windows host is missing a security update. It is,
therefore, affected by multiple vulnerabilities :

- An arbitrary code execution vulnerability exists in
Hyper-V due to a failure to properly validate input from
an authenticated user on a guest operating system. An
attacker can exploit this, via a crafted application on
the guest operating system, to execute arbitrary code on
the host operating system. (CVE-2016-0088)

- Multiple information disclosure vulnerabilities exists
in Hyper-V due to a failure to properly validate input
from an authenticated user on a guest operating system.
An attacker can exploit this, via a crafted application
on the guest operating system, to disclose memory
information on the host operating system.
(CVE-2016-0089, CVE-2016-0090)

Note that users who have not enabled the Hyper-V role are not affected
by these vulnerabilities.

See also :

https://technet.microsoft.com/library/security/MS16-045

Solution :

Microsoft has released a set of patches for Windows 2012, 8.1,
2012 R2, and 10.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.8
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 90438 ()

Bugtraq ID: 85915
85916
85921

CVE ID: CVE-2016-0088
CVE-2016-0089
CVE-2016-0090

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now